Debian Bug report logs - #656010
Memory leak in current version of Debian package - fixed in main distribution

version graph

Package: minidlna; Maintainer for minidlna is Benoît Knecht <benoit.knecht@fsfe.org>; Source for minidlna is src:minidlna.

Reported by: Anders Olsson <anders.k.olsson@gmail.com>

Date: Sun, 15 Jan 2012 21:03:06 UTC

Severity: normal

Found in version minidlna/1.0.21+dfsg-1

Fixed in version 1.0.23+dfsg-1

Done: Benoît Knecht <benoit.knecht@fsfe.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Benoît Knecht <benoit.knecht@fsfe.org>:
Bug#656010; Package minidlna. (Sun, 15 Jan 2012 21:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anders Olsson <anders.k.olsson@gmail.com>:
New Bug report received and forwarded. Copy sent to Benoît Knecht <benoit.knecht@fsfe.org>. (Sun, 15 Jan 2012 21:03:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Anders Olsson <anders.k.olsson@gmail.com>
To: submit@bugs.debian.org
Subject: Memory leak in current version of Debian package - fixed in main distribution
Date: Sun, 15 Jan 2012 21:59:31 +0100
Package: minidlna
Version: 1.0.21+dfsg-1+b1

Hi,

I've noticed that on my system the MiniDLNA daemon takes up more and
more RAM over time. This is to the point where other processes on the
machine start being shut down. After a few days, the ssh daemon on the
system usually is killed, and I'm forced to physically reset the
machine (I don't have the possibility to connect a monitor to the
system). I've set up a cronjob that monitors the memory status of the
machine, and it's always MiniDLNA that is the culprit when the system
has failed.

This seems to be the same behavior as the bug fixed in 1.0.22: "Fix a
memory leak when certain model Samsung TV's or Roku devices are on the
network.", see http://sourceforge.net/projects/minidlna/files/minidlna/1.0.22/

The thread discussing the issue:
http://sourceforge.net/projects/minidlna/forums/forum/879957/topic/4642147

I've not built the package myself to verify that the new version fixes
the problem, but I'm guessing an upgrade is due?

Best Regards,

Anders Olsson




Added tag(s) pending. Request was from Benoît Knecht <benoit.knecht@fsfe.org> to control@bugs.debian.org. (Tue, 14 Feb 2012 16:57:16 GMT) Full text and rfc822 format available.

Reply sent to Benoît Knecht <benoit.knecht@fsfe.org>:
You have taken responsibility. (Thu, 01 Mar 2012 15:21:08 GMT) Full text and rfc822 format available.

Notification sent to Anders Olsson <anders.k.olsson@gmail.com>:
Bug acknowledged by developer. (Thu, 01 Mar 2012 15:21:08 GMT) Full text and rfc822 format available.

Message #12 received at 656010-done@bugs.debian.org (full text, mbox):

From: Benoît Knecht <benoit.knecht@fsfe.org>
To: Anders Olsson <anders.k.olsson@gmail.com>, 656010-done@bugs.debian.org
Subject: Re: Bug#656010: Memory leak in current version of Debian package - fixed in main distribution
Date: Thu, 1 Mar 2012 16:17:47 +0100
Version: 1.0.23+dfsg-1

Anders Olsson wrote:
> I've noticed that on my system the MiniDLNA daemon takes up more and
> more RAM over time. This is to the point where other processes on the
> machine start being shut down. After a few days, the ssh daemon on the
> system usually is killed, and I'm forced to physically reset the
> machine (I don't have the possibility to connect a monitor to the
> system). I've set up a cronjob that monitors the memory status of the
> machine, and it's always MiniDLNA that is the culprit when the system
> has failed.
> 
> This seems to be the same behavior as the bug fixed in 1.0.22: "Fix a
> memory leak when certain model Samsung TV's or Roku devices are on the
> network.", see http://sourceforge.net/projects/minidlna/files/minidlna/1.0.22/
> 
> The thread discussing the issue:
> http://sourceforge.net/projects/minidlna/forums/forum/879957/topic/4642147
> 
> I've not built the package myself to verify that the new version fixes
> the problem, but I'm guessing an upgrade is due?

Fixed as you suggested. Thanks for the report.

-- 
Benoît Knecht




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 30 Mar 2012 07:33:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:50:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.